/same-day-asap

Allows to place a new same-day delivery for the nearest available execution slot.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

What is the difference between this endpoint and /deliveries [POST]?

There are two main differences:

  • this endpoint deals only with orders for the Same-Day service level
  • this endpoint does not require you to specify a pickup time slot (instead, you will be able to see when the order has been scheduled for, from the response).

You should use this endpoint if you are aiming to place a Same-Day service level delivery for the closest slot available on the platform.

Orders placed using this endpoint can be retrieved and operated upon in the same way as orders placed via /deliveries [POST].

🚧

Placing orders using only street addresses

We strive to continuously make our platform resolve street addresses optimally, however there are outside factors that make this task extremely difficult. (E.g. 2 or more streets with the same name in a single suburb, etc).

TL;DR: Please provide the coordinates for both locations, whenever possible.

📘

Field: customer_identifier

The purpose of this field is to group (and later query) a list of deliveries by a certain ID internal to your system.

For example, if you have a Customer record with id:123, and wish to group orders you place on their behalf, you can include that in the customer_identifier field.

(Conceivably, you could use this field to do any sort of grouping at all - it does not have to be a customer Id.)

To learn how you can query our system for all deliveries you have placed using a customer_id, see: /deliveries/customer/:customer_id

📘

Field: order_reference

Setting this field to the corresponding order ID from your system will enable you to query our API for Deliveries without having to store the Delivery:id returned on placement.

Uniqueness is enforced for this field: trying to submit two deliveries with the same order_reference is considered an error and will result in a negative server response.

📘

Units

You'll notice the fields 'distance_estimate' and 'time_estimate' in the above server response.
By default, the API uses SI base units to communicate time and distance.
(metres and seconds).

Example Request:

curl -X POST -H "Content-Type: application/json" -u YourAPIKeyHere: -d '{ "pickup_address":"66 Albert Road, Woodstock, Cape Town, South Africa","pickup_contact_name":"Hattori Hanzo","pickup_contact_phone":"0872310223", "pickup_remarks":"The sword will be at the reception.", "dropoff_address":"55 Albert Road, Woodstock, Cape Town, South Africa","dropoff_contact_name":"Bill","dropoff_contact_phone":"0212011122","dropoff_remarks":"Make sure Bill knows you are coming", "pickup_coordinates":"-33.926401, 18.444876", "dropoff_coordinates":"-33.944912, 18.472792" }' https://api.wumdrop.com/v1/same-day-asap
Body Params
string
required

This is the address at which the WumDrop driver needs to pick up the parcel. Example: "4 Darters Rd, Gardens, Cape Town, South Africa".

string
required

Name of the person/entity from which the parcel is to be picked up. Examples: "Hattori Hanzo", or "Google, Inc".

string
required

10-digit SA phone number of the person/entity from which the parcel is to be picked up. Examples: "0871234567", or "0212345678".

string

(optional) To be filled if you think the driver might require additional information to pick up the parcel. Example: "Ask the receptionist for the package from flat 402".

string
required

This is the address at which the WumDrop driver needs to deliver the parcel. Example: "4 Darters Rd, Gardens, Cape Town, South Africa".

string
required

Name of the person/entity to which the parcel is to be delivered. Examples: "Hattori Hanzo", or "Google, Inc".

string
required

10-digit SA phone number of the person/entity to which the parcel is to be delivered. Examples: "0871234567", or "0212345678".

string

(optional) To be filled if you think the driver might require additional information to pick up the parcel. Example: "Ask the receptionist for the package from flat 402".

string

(optional) The coordinates that correspond to the pickup address. We prefer that you provide these, in case our geocoder is slightly off. Providing us with these leaves no space for ambiguity.

string

(optional) The coordinates that correspond to the drop-off address. We prefer that you provide these, in case our geocoder is slightly off. Providing us with these leaves no space for ambiguity.

string

(optional) Your internal customer identifier. Use this if you'd like to group orders by customer. Can be used to look to look up a list of deliveries with a corresponding customer_identifier.

string

(optional) Your internal order id. Handy if you don't want to store ours. Can be used to look up a delivery.

items
array

The objects in this array should have the following attributes in SI units (Meters and kg): weight (float), height (float), width (float), length (float), and quantity(int). (Optional attributes: name(String), is_fragile(Boolean), price(float) ) . See below for an example

items
string

ID of the store from which the delivery is being sent.

string

Name of the store from which the delivery is being sent.

string

Region of the store from which the delivery is being sent

string
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json